<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelRelPaxDist StructType
 * @subpackage Structs
 */
class JP_HotelRelPaxDist extends JP_RelPaxDist
{
    /**
     * The RoomCategories
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RoomCategory
     */
    public $RoomCategories;
    /**
     * The Rooms
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_HotelRoomCode
     */
    public $Rooms;
    /**
     * Constructor method for JP_HotelRelPaxDist
     * @uses JP_HotelRelPaxDist::setRoomCategories()
     * @uses JP_HotelRelPaxDist::setRooms()
     * @param \ArrayType\ArrayOfJP_RoomCategory $roomCategories
     * @param \ArrayType\ArrayOfJP_HotelRoomCode $rooms
     */
    public function __construct(\ArrayType\ArrayOfJP_RoomCategory $roomCategories = null, \ArrayType\ArrayOfJP_HotelRoomCode $rooms = null)
    {
        $this
            ->setRoomCategories($roomCategories)
            ->setRooms($rooms);
    }
    /**
     * Get RoomCategories value
     * @return \ArrayType\ArrayOfJP_RoomCategory|null
     */
    public function getRoomCategories()
    {
        return $this->RoomCategories;
    }
    /**
     * Set RoomCategories value
     * @param \ArrayType\ArrayOfJP_RoomCategory $roomCategories
     * @return \StructType\JP_HotelRelPaxDist
     */
    public function setRoomCategories(\ArrayType\ArrayOfJP_RoomCategory $roomCategories = null)
    {
        $this->RoomCategories = $roomCategories;
        return $this;
    }
    /**
     * Get Rooms value
     * @return \ArrayType\ArrayOfJP_HotelRoomCode|null
     */
    public function getRooms()
    {
        return $this->Rooms;
    }
    /**
     * Set Rooms value
     * @param \ArrayType\ArrayOfJP_HotelRoomCode $rooms
     * @return \StructType\JP_HotelRelPaxDist
     */
    public function setRooms(\ArrayType\ArrayOfJP_HotelRoomCode $rooms = null)
    {
        $this->Rooms = $rooms;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_HotelRelPaxDist
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
